import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-01-28 16:49
 */
export interface DevopsHost{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 所属平台（1-阿里云；2-华为云；）
    * @type { number }
    */
    cloudPlatform?: number;
    /**
    * 区域
    * @type { string }
    */
    regionId?: string;
    /**
    * 主机实例id
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机ip(内网地址)
    * @type { string }
    */
    ip?: string;
    /**
    * 主机类型（0-nginx主机；1-应用主机；2-综合）
    * @type { number }
    */
    hostType?: number;
    /**
    * SSH端口
    * @type { string }
    */
    sshPort?: string;
    /**
    * 主机名称
    * @type { string }
    */
    instanceName?: string;
    /**
    * 操作系统
    * @type { string }
    */
    operatinSystem?: string;
    /**
    * 所属项目组
    * @type { string }
    */
    businessGroup?: string;
    /**
    * 实例规格
    * @type { string }
    */
    instanceSpecifications?: string;
    /**
    * cpu
    * @type { number }
    */
    cpu?: number;
    /**
    * 内存
    * @type { number }
    */
    memory?: number;
    /**
    * 硬盘数量
    * @type { number }
    */
    diskNumber?: number;
    /**
    * 运行状态
    * @type { string }
    */
    runningState?: string;
    /**
    * 购买时间
    * @type { Date }
    */
    buyTime?: Date;
    /**
    * 到期时间
    * @type { Date }
    */
    expireTime?: Date;
    /**
    * 描述
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 自定义的分区
    * @type { string }
    */
    businessArea?: string;
    /**
    * 计费方式（1-包年包月；2-按量付费；）
    * @type { number }
    */
    billingWay?: number;
}
export class DevopsHostMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get CLOUD_PLATFORM(): FieldInfo{  
        return new FieldInfo('cloudPlatform','所属平台（1-阿里云；2-华为云；）');
    }
    static get REGION_ID(): FieldInfo{  
        return new FieldInfo('regionId','区域');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','主机实例id');
    }
    static get IP(): FieldInfo{  
        return new FieldInfo('ip','主机ip(内网地址)');
    }
    static get HOST_TYPE(): FieldInfo{  
        return new FieldInfo('hostType','主机类型（0-nginx主机；1-应用主机；2-综合）');
    }
    static get SSH_PORT(): FieldInfo{  
        return new FieldInfo('sshPort','SSH端口');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','主机名称');
    }
    static get OPERATIN_SYSTEM(): FieldInfo{  
        return new FieldInfo('operatinSystem','操作系统');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','所属项目组');
    }
    static get INSTANCE_SPECIFICATIONS(): FieldInfo{  
        return new FieldInfo('instanceSpecifications','实例规格');
    }
    static get CPU(): FieldInfo{  
        return new FieldInfo('cpu','cpu');
    }
    static get MEMORY(): FieldInfo{  
        return new FieldInfo('memory','内存');
    }
    static get DISK_NUMBER(): FieldInfo{  
        return new FieldInfo('diskNumber','硬盘数量');
    }
    static get RUNNING_STATE(): FieldInfo{  
        return new FieldInfo('runningState','运行状态');
    }
    static get BUY_TIME(): FieldInfo{  
        return new FieldInfo('buyTime','购买时间');
    }
    static get EXPIRE_TIME(): FieldInfo{  
        return new FieldInfo('expireTime','到期时间');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','描述');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get BUSINESS_AREA(): FieldInfo{  
        return new FieldInfo('businessArea','自定义的分区');
    }
    static get BILLING_WAY(): FieldInfo{  
        return new FieldInfo('billingWay','计费方式（1-包年包月；2-按量付费；）');
    }
}


